Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-6100

Overview

Vulnerability Score 4.0 4.0
CVE Id CVE-2012-6100
Last Modified 28 Jan 2013 12:00:00
Published 27 Jan 2013 05:55:03
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication SINGLE_INSTANCE

CVE-2012-6100

Summary

report/outline/index.php in Moodle 2.2.x before 2.2.7, 2.3.x before 2.3.4, and 2.4.x before 2.4.1 does not properly enforce the moodle/user:viewhiddendetails capability requirement, which allows remote authenticated users to discover a hidden lastaccess value by reading an activity report.

Vulnerable Systems

Application

  • Moodle 2.2

  • Moodle 2.2.1

  • Moodle 2.2.2

  • Moodle 2.2.3

  • Moodle 2.2.4

  • Moodle 2.2.5

  • Moodle 2.2.6

  • Moodle 2.3

  • Moodle 2.3.1

  • Moodle 2.3.2

  • Moodle 2.3.3

  • Moodle 2.4


References

CONFIRM - https://moodle.org/mod/forum/discuss.php?d=220161

MLIST - [oss-security] 20130121 Moodle security notifications public

CONFIRM - http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-33340


Last Updated: 27 May 2016 11:01:44